Skip to main content
GET
/
fine_tuning
/
jobs
List Fine-tuning Jobs
curl --request GET \
  --url https://{controlPlaneURL}/api/llm/fine_tuning/jobs \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "object": "fine_tuning.job",
      "id": "<string>",
      "model": "<string>",
      "created_at": 123,
      "fine_tuned_model": "<string>",
      "organization_id": "<string>",
      "result_files": [
        "<string>"
      ],
      "status": "queued",
      "validation_file": "<string>",
      "training_file": "<string>",
      "finished_at": 123,
      "hyperparameters": {},
      "trained_tokens": 123,
      "integrations": [
        {}
      ],
      "seed": 123,
      "estimated_finish": 123,
      "method": {},
      "metadata": {}
    }
  ],
  "has_more": true
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-tfy-metadata
string

Optional metadata for the request

Query Parameters

after
string

Identifier for the last job from the previous pagination request

limit
integer
default:20

Number of fine-tuning jobs to retrieve

Required range: 1 <= x <= 100
metadata
object

Optional metadata filter

Response

Fine-tuning jobs listed successfully

object
enum<string>
required

The object type

Available options:
list
data
object[]
required

List of fine-tuning jobs

has_more
boolean
required

Whether there are more jobs available